org.apache.activemq.artemis.api.core.management

## Class ActiveMQManagementProxy

- java.lang.Object
- - org.apache.activemq.artemis.api.core.management.ActiveMQManagementProxy

- All Implemented Interfaces:
    AutoCloseable

      public class ActiveMQManagementProxy
      extends Object
      implements AutoCloseable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveMQManagementProxy(ServerLocator locator, String username, String password)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `<T> T` | `invokeOperation(Class<T> type, String resourceName, String operationName, Object... operationArgs)`
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActiveMQManagementProxy

          public ActiveMQManagementProxy(ServerLocator locator,
                                         String username,
                                         String password)

  - ### Method Detail

    - #### start

          public void start()
                     throws Exception

      Throws:
        `Exception`

    - #### invokeOperation

          public <T> T invokeOperation(Class<T> type,
                                       String resourceName,
                                       String operationName,
                                       Object... operationArgs)
                                throws Exception

      Throws:
        `Exception`

    - #### stop

          public void stop()
                    throws ActiveMQException

      Throws:
        `ActiveMQException`

    - #### close

          public void close()
                     throws Exception

      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `Exception`

Copyright © 2020 The Apache Software Foundation. All rights reserved.